Bug 1740387 - Console sync error reason codes are too vague
Summary: Console sync error reason codes are too vague
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 19:29 UTC by Samuel Padgett
Modified: 2019-10-16 06:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:35:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 274 0 None closed Bug 1740387: Better Progressing & Degraded condition handling & names 2020-07-10 20:24:28 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:35:53 UTC

Description Samuel Padgett 2019-08-12 19:29:36 UTC
When console sync fails, the reason code is always `DegradedSynchronizationError`. This is too vague to know what is wrong from the reason alone. We should look at adding some more specific reason codes for better troubleshooting.

A simple fix might be to add the kind into the reason when sync fails for a specific resource, e.g. `DegradedRouteSyncError`

Comment 3 bpeterse 2019-08-28 18:06:43 UTC
Replacing:
- https://github.com/openshift/console-operator/pull/273 (closed)
with:
- https://github.com/openshift/console-operator/pull/274

which finishes out this issue.

Comment 4 shahan 2019-09-10 03:29:16 UTC
Remove route rule from rolebinding operator-console
will got message like that: 
 RouteSyncDegraded FailedCreate routes.route.openshift.io "console" is forbidden: User "system:serviceaccount:openshift-console-operator:console-operator" cannot get resource "routes" in API group "route.openshift.io" in the namespace "openshift-console"
4.2.0-0.nightly-2019-09-09-150607

Comment 5 errata-xmlrpc 2019-10-16 06:35:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.